Subject: MEC Meeting
From: [email-masked]
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 3 Nov 2000 00:35:00 -0800 (PST)

I received an email from MEC that they are close to identifying several board 
members and potential advisory board members.  More than a delay, I expect 
this will be the end of any discussions with respect to a formal relationship 
between Enron and MEC.

 I appreciate your help in organizing this and will update you if there is 
any change.

Thanks,
Mark

Mark Lay
Enron Investment Partners
333 Clay St., suite 3800
Houston, TX 77002
p 713-853-7408
f 713-345-7670